summaryrefslogtreecommitdiff
path: root/tests/touch/no-rights
diff options
context:
space:
mode:
Diffstat (limited to 'tests/touch/no-rights')
-rwxr-xr-xtests/touch/no-rights57
1 files changed, 57 insertions, 0 deletions
diff --git a/tests/touch/no-rights b/tests/touch/no-rights
new file mode 100755
index 0000000..8faef99
--- /dev/null
+++ b/tests/touch/no-rights
@@ -0,0 +1,57 @@
+#!/bin/sh
+# Make sure touch can update the times on a file that is neither
+# readable nor writable.
+
+# Copyright (C) 1999, 2000, 2002, 2006 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ touch --version
+fi
+
+. $srcdir/../envvar-check
+
+DEFAULT_SLEEP_SECONDS=2
+SLEEP_SECONDS=${SLEEP_SECONDS=$DEFAULT_SLEEP_SECONDS}
+
+t1=no-rw1
+t2=no-rw2
+rm -rf $t1 $t2
+: > $t1
+
+# Make sure $t2 is two seconds newer than $t1.
+echo sleeping for $SLEEP_SECONDS seconds...
+sleep $SLEEP_SECONDS
+: > $t2
+fail=0
+
+set x `ls -t $t1 $t2`
+test "$*" = "x $t2 $t1" || fail=1
+
+chmod 0 $t1
+touch -d tomorrow -c $t1 || fail=1
+
+set x `ls -t $t1 $t2`
+test "$*" = "x $t1 $t2" || fail=1
+
+# Also test the combination of --no-create and -a.
+touch -a --no-create $t1 || fail=1
+
+rm -f $t1 $t2
+
+exit $fail